Loading...
Searching...
No Matches
non_matched_request_handler.hpp File Reference

The definition of the non_matched_request_handler type. More...

`#include <restinio/request_handler.hpp>`
`#include <functional>`

Go to the source code of this file.

## Namespaces

namespace | restinio
namespace | restinio::router

## Typedefs

template<typename Extra_Data >
using | restinio::router::generic_non_matched_request_handler_t = std::function< request_handling_status_t(generic_request_handle_t< Extra_Data >) >
| A generic type of handler for non-matched requests.
using | restinio::router::non_matched_request_handler_t = generic_non_matched_request_handler_t< no_extra_data_factory_t::data_t >
| A type of handler for non-matched requests for a case when default extra-data-factory is specified in the server's traits.

## Detailed Description

The definition of the non_matched_request_handler type.

Since
  v.0.6.6

Definition in file non_matched_request_handler.hpp.